# Global Search

## [v0.12.0](https://github.com/Oppzippy/GlobalSearch/tree/v0.12.0) (2022-08-29)
[Full Changelog](https://github.com/Oppzippy/GlobalSearch/compare/v0.11.0...v0.12.0) [Previous Releases](https://github.com/Oppzippy/GlobalSearch/releases)

- Move SearchProvider assertions up to GlobalSearchAPI  
    Other than in GlobalSearchAPI, the type system should be assumed to be  
    correct.  
- Remove old comment  
- Add L.global\_search category to all search providers  
- Categorize search providers in Options  
- Load search providers alphabetically  
- Ensure providers are listed in order of registration  
    Rather than the Options module being responsible for handling providers  
    registered before OnInitialize, the sender of OnProvierRegistered will  
    be responsible for waiting to fire events until after OnInitialize.  
- Replace ipairs with standard for loop for performance  
- Improve ShortTextQueryMatcher performance  
    Move query conversion to lowercase out of QueryMatcher so it only needs  
    to be done once.  
- Improve performance in hot spot by indexing table fewer times  
- Add options for EncounterJournalSearchProvider  
- Add MapsSearchProvider  
- Rename db.profile.options.providers to searchProviders  
